Name:           ocaml-cppo
Version:        1.6.6
Release:        %mkrel 5
Summary:        Equivalent of the C preprocessor for OCaml programs
License:        BSD
Group:          Development/OCaml
URL:            http://mjambon.com/cppo.html
Source0:        https://github.com/mjambon/cppo/archive/v%{version}/cppo-%{version}.tar.gz
BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamlbuild-devel
BuildRequires:  opam
BuildRequires:  ocaml-dune

%description
Cppo is an equivalent of the C preprocessor targeted at the OCaml
language and its variants.

The main purpose of cppo is to provide a lightweight tool for simple
macro substitution (＃define) and file inclusion (＃include) for the
occasional case when this is useful in OCaml. Processing specific
sections of files by calling external programs is also possible via
＃ext directives.

The implementation of cppo relies on the standard library of OCaml and
on the standard parsing tools Ocamllex and Ocamlyacc, which contribute
to the robustness of cppo across OCaml versions.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n cppo-%{version}
sed -i.add-debuginfo \
    's/ocamlopt/ocamlopt -g/;s/ocamlc \(-[co]\)/ocamlc -g \1/' \
    Makefile

%build
%make_build all

%install
dune install --destdir=%{buildroot} --libdir=%{_libdir}/ocaml

rm -fr %{buildroot}/%{_prefix}/doc

%check
%ifnarch %{arm} %{power64}
# Fails on armv7hl and ppc64le with:
# Error: math error
make test
%endif
 
%files
%license LICENSE.md
%doc Changes README.md
%{_bindir}/cppo
%dir %{_libdir}/ocaml/cppo/
%dir %{_libdir}/ocaml/cppo_ocamlbuild/
%{_libdir}/ocaml/cppo/META
%{_libdir}/ocaml/cppo/opam
%{_libdir}/ocaml/cppo/*dune*
%{_libdir}/ocaml/cppo_ocamlbuild/META
%{_libdir}/ocaml/cppo_ocamlbuild/opam
%{_libdir}/ocaml/cppo_ocamlbuild/*dune*
%{_libdir}/ocaml/cppo_ocamlbuild/*.cma
%{_libdir}/ocaml/cppo_ocamlbuild/*.cmi
%{_libdir}/ocaml/cppo_ocamlbuild/*.cmx
%{_libdir}/ocaml/cppo_ocamlbuild/*.cmxs

%files devel
%doc examples/
%{_libdir}/ocaml/cppo_ocamlbuild/*.a
%{_libdir}/ocaml/cppo_ocamlbuild/*.ml
%{_libdir}/ocaml/cppo_ocamlbuild/*.mli
%{_libdir}/ocaml/cppo_ocamlbuild/*.cmt
%{_libdir}/ocaml/cppo_ocamlbuild/*.cmti
%{_libdir}/ocaml/cppo_ocamlbuild/*.cmxa


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 1.6.6-5.mga8
+ Revision: 1670438
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1.6.6-4.mga8
+ Revision: 1551483
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1.6.6-3.mga8
+ Revision: 1545729
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 tv <tv> 1.6.6-2.mga8
+ Revision: 1485061
- install using dune & thus restore devel subpkg
- remove bogus buildConflicts

* Mon Jan 20 2020 tv <tv> 1.6.6-1.mga8
+ Revision: 1481717
- BR ocaml-dune
- clean up
- runt testsuite
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 1.6.5-1.mga7
+ Revision: 1324468
- Update to 1.6.5
- Rebuild for ocaml 4.07.1
+ tv <tv>
- BR ocaml-ocamlbuild-devel
- rebuild with ocaml-4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 1.6.4-2.mga7
+ Revision: 1299854
- Mageia 7 Mass Rebuild

* Sat Jun 23 2018 daviddavid <daviddavid> 1.6.4-1.mga7
+ Revision: 1239140
- new version: 1.6.4
- switch to jbuilder

* Wed Jan 17 2018 pterjan <pterjan> 1.5.0-2.mga7
+ Revision: 1194038
- Rebuild for updated dependencies
+ tv <tv>
- BuildConflicts: ocaml-cppo

* Sat Nov 25 2017 tv <tv> 1.5.0-1.mga7
+ Revision: 1179224
- new release
- rebuild for new ocaml

* Thu Oct 05 2017 daviddavid <daviddavid> 1.3.1-4.mga7
+ Revision: 1169201
- patch0: enable debugging information thus fixing empty debugsourcefiles.list

* Mon Sep 26 2016 pterjan <pterjan> 1.3.1-3.mga6
+ Revision: 1056309
- Rebuild for fix in ocaml

* Wed Feb 17 2016 pterjan <pterjan> 1.3.1-2.mga6
+ Revision: 963655
- Package cppo_ocamlbuild lib

* Fri Jan 29 2016 pterjan <pterjan> 1.3.1-1.mga6
+ Revision: 928676
- Add BuildRequires
- Update to 1.3.1

* Wed Oct 15 2014 umeabot <umeabot> 0.9.3-8.mga5
+ Revision: 745118
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.3-7.mga5
+ Revision: 683010
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.9.3-6.mga4
+ Revision: 534319
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 blue_prawn <blue_prawn> 0.9.3-5.mga4
+ Revision: 477272
- rebuild for ocaml-4.01.0

* Sat Jan 12 2013 umeabot <umeabot> 0.9.3-4.mga3
+ Revision: 361225
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.9.3-3.mga3
+ Revision: 301644
- new rpm group for ocaml

* Fri Sep 28 2012 blue_prawn <blue_prawn> 0.9.3-2.mga3
+ Revision: 299088
- new rpm group for ocaml

* Sat Sep 01 2012 blue_prawn <blue_prawn> 0.9.3-1.mga3
+ Revision: 286895
- updated to last version 0.9.3 (and new homepage, new download link)

* Sun Jun 24 2012 blue_prawn <blue_prawn> 0.9.2-1.mga3
+ Revision: 262912
- imported package ocaml-cppo

